Package org.apache.lucene.util

# Interface DocIdSetBuilder.BulkAdder

Enclosing class:
  `DocIdSetBuilder`

public static sealed interface DocIdSetBuilder.BulkAdder
Utility class to efficiently add many docs in one go.

See Also:
  - `DocIdSetBuilder.grow(int)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int doc)`
  `void`
  `add(DocIdSetIterator iterator)`
  `void`
  `add(IntsRef docs)`
  `void`
  `add(IntsRef docs, int docLowerBoundInclusive)`

- ## Method Details

  - ### add

    void add(int doc)

  - ### add

    void add(IntsRef docs)

  - ### add

    void add(DocIdSetIterator iterator) throws IOException
    Throws:
      `IOException`

  - ### add

    void add(IntsRef docs, int docLowerBoundInclusive)